diff --git a/gcc/config/rs6000/rs6000.c b/gcc/config/rs6000/rs6000.c
index 036a2af..14f8c18 100644
--- a/gcc/config/rs6000/rs6000.c
+++ b/gcc/config/rs6000/rs6000.c
@@ -22571,12 +22571,12 @@ rs6000_reg_live_or_pic_offset_p (int reg)
   return (((crtl->calls_eh_return || df_regs_ever_live_p (reg))
            && (!call_used_regs[reg]
                || (reg == RS6000_PIC_OFFSET_TABLE_REGNUM
-		   && !TARGET_SINGLE_PIC_BASE
+		   && !GCC_OPTION (TARGET_SINGLE_PIC_BASE)
                    && TARGET_TOC && TARGET_MINIMAL_TOC)))
           || (reg == RS6000_PIC_OFFSET_TABLE_REGNUM
-	      && !TARGET_SINGLE_PIC_BASE
-              && ((DEFAULT_ABI == ABI_V4 && flag_pic != 0)
-                  || (DEFAULT_ABI == ABI_DARWIN && flag_pic))));
+	      && !GCC_OPTION (TARGET_SINGLE_PIC_BASE)
+              && ((DEFAULT_ABI == ABI_V4 && GCC_OPTION (flag_pic) != 0)
+                  || (DEFAULT_ABI == ABI_DARWIN && GCC_OPTION (flag_pic)))));
 }
 
 /* Emit function prologue as insns.  */
@@ -22628,16 +22628,16 @@ rs6000_emit_prologue (void)
       cfun->machine->r2_setup_needed = df_regs_ever_live_p (TOC_REGNUM);
 
       /* With -mminimal-toc we may generate an extra use of r2 below.  */
-      if (!TARGET_SINGLE_PIC_BASE
+      if (!GCC_OPTION (TARGET_SINGLE_PIC_BASE)
 	  && TARGET_TOC && TARGET_MINIMAL_TOC && get_pool_size () != 0)
 	cfun->machine->r2_setup_needed = true;
     }
 
 
-  if (flag_stack_usage_info)
+  if (GCC_OPTION (flag_stack_usage_info))
     current_function_static_stack_size = info->total_size;
 
-  if (flag_stack_check == STATIC_BUILTIN_STACK_CHECK)
+  if (GCC_OPTION (flag_stack_check) == STATIC_BUILTIN_STACK_CHECK)
     {
       HOST_WIDE_INT size = info->total_size;
 
@@ -23426,7 +23426,7 @@ rs6000_emit_prologue (void)
 
   if (!WORLD_SAVE_P (info)
       && TARGET_ALTIVEC
-      && TARGET_ALTIVEC_VRSAVE
+      && GCC_OPTION (TARGET_ALTIVEC_VRSAVE)
       && info->vrsave_mask != 0)
     {
       rtx reg, vrsave;
@@ -23466,10 +23466,10 @@ rs6000_emit_prologue (void)
     }
 
   /* If we are using RS6000_PIC_OFFSET_TABLE_REGNUM, we need to set it up.  */
-  if (!TARGET_SINGLE_PIC_BASE
+  if (!GCC_OPTION (TARGET_SINGLE_PIC_BASE)
       && ((TARGET_TOC && TARGET_MINIMAL_TOC && get_pool_size () != 0)
 	  || (DEFAULT_ABI == ABI_V4
-	      && (flag_pic == 1 || (flag_pic && TARGET_SECURE_PLT))
+	      && (GCC_OPTION (flag_pic) == 1 || (GCC_OPTION (flag_pic) && TARGET_SECURE_PLT))
 	      && df_regs_ever_live_p (RS6000_PIC_OFFSET_TABLE_REGNUM))))
     {
       /* If emit_load_toc_table will use the link register, we need to save
@@ -23478,7 +23478,7 @@ rs6000_emit_prologue (void)
 	 from the procedure more often.  */
       int save_LR_around_toc_setup = (TARGET_ELF
 				      && DEFAULT_ABI == ABI_V4
-				      && flag_pic
+				      && GCC_OPTION (flag_pic)
 				      && ! info->lr_save_p
 				      && EDGE_COUNT (EXIT_BLOCK_PTR_FOR_FN (cfun)->preds) > 0);
       if (save_LR_around_toc_setup)
@@ -23500,9 +23500,9 @@ rs6000_emit_prologue (void)
     }
 
 #if TARGET_MACHO
-  if (!TARGET_SINGLE_PIC_BASE
+  if (!GCC_OPTION (TARGET_SINGLE_PIC_BASE)
       && DEFAULT_ABI == ABI_DARWIN
-      && flag_pic && crtl->uses_pic_offset_table)
+      && GCC_OPTION (flag_pic) && crtl->uses_pic_offset_table)
     {
       rtx lr = gen_rtx_REG (Pmode, LR_REGNO);
       rtx src = gen_rtx_SYMBOL_REF (Pmode, MACHOPIC_FUNCTION_BASE_NAME);
@@ -23551,7 +23551,7 @@ rs6000_output_function_prologue (FILE *file,
 {
   rs6000_stack_t *info = rs6000_stack_info ();
 
-  if (TARGET_DEBUG_STACK)
+  if (GCC_OPTION (TARGET_DEBUG_STACK))
     debug_stack_info (info);
 
   /* Write .extern for any function we will call to save and restore
@@ -23698,7 +23698,7 @@ restore_saved_cr (rtx reg, int using_mfcr_multiple, bool exit_func)
 
       /* For the ELFv2 ABI we generate a CFA_RESTORE for each
 	 CR field separately.  */
-      if (!exit_func && DEFAULT_ABI == ABI_ELFv2 && flag_shrink_wrap)
+      if (!exit_func && DEFAULT_ABI == ABI_ELFv2 && GCC_OPTION (flag_shrink_wrap))
 	{
 	  for (i = 0; i < 8; i++)
 	    if (save_reg_p (CR0_REGNO + i))
@@ -23718,7 +23718,7 @@ restore_saved_cr (rtx reg, int using_mfcr_multiple, bool exit_func)
 	  /* For the ELFv2 ABI we generate a CFA_RESTORE for each
 	     CR field separately, attached to the insn that in fact
 	     restores this particular CR field.  */
-	  if (!exit_func && DEFAULT_ABI == ABI_ELFv2 && flag_shrink_wrap)
+	  if (!exit_func && DEFAULT_ABI == ABI_ELFv2 && GCC_OPTION (flag_shrink_wrap))
 	    {
 	      add_reg_note (insn, REG_CFA_RESTORE,
 			    gen_rtx_REG (SImode, CR0_REGNO + i));
@@ -23729,7 +23729,7 @@ restore_saved_cr (rtx reg, int using_mfcr_multiple, bool exit_func)
 
   /* For other ABIs, we just generate a single CFA_RESTORE for CR2.  */
   if (!exit_func && DEFAULT_ABI != ABI_ELFv2
-      && (DEFAULT_ABI == ABI_V4 || flag_shrink_wrap))
+      && (DEFAULT_ABI == ABI_V4 || GCC_OPTION (flag_shrink_wrap)))
     {
       rtx insn = get_last_insn ();
       rtx cr = gen_rtx_REG (SImode, CR2_REGNO);
@@ -23760,7 +23760,7 @@ restore_saved_lr (int regno, bool exit_func)
   rtx lr = gen_rtx_REG (Pmode, LR_REGNO);
   rtx insn = emit_move_insn (lr, reg);
 
-  if (!exit_func && flag_shrink_wrap)
+  if (!exit_func && GCC_OPTION (flag_shrink_wrap))
     {
       add_reg_note (insn, REG_CFA_RESTORE, lr);
       RTX_FRAME_RELATED_P (insn) = 1;
@@ -23856,10 +23856,10 @@ rs6000_emit_epilogue (int sibcall)
   using_load_multiple = strategy & SAVRES_MULTIPLE;
   restoring_FPRs_inline = sibcall || (strategy & REST_INLINE_FPRS);
   restoring_GPRs_inline = sibcall || (strategy & REST_INLINE_GPRS);
-  using_mtcr_multiple = (rs6000_cpu == PROCESSOR_PPC601
-			 || rs6000_cpu == PROCESSOR_PPC603
-			 || rs6000_cpu == PROCESSOR_PPC750
-			 || optimize_size);
+  using_mtcr_multiple = (GCC_OPTION (rs6000_cpu) == PROCESSOR_PPC601
+			 || GCC_OPTION (rs6000_cpu) == PROCESSOR_PPC603
+			 || GCC_OPTION (rs6000_cpu) == PROCESSOR_PPC750
+			 || GCC_OPTION (optimize_size));
   /* Restore via the backchain when we have a large frame, since this
      is more efficient than an addis, addi pair.  The second condition
      here will not trigger at the moment;  We don't actually need a
@@ -23915,7 +23915,7 @@ rs6000_emit_epilogue (int sibcall)
 	rtx reg = gen_rtx_REG (SImode, CR2_REGNO);
 	RTVEC_ELT (p, j++)
 	  = gen_frame_load (reg, frame_reg_rtx, info->cr_save_offset);
-	if (flag_shrink_wrap)
+	if (GCC_OPTION (flag_shrink_wrap))
 	  {
 	    cfa_restores = alloc_reg_note (REG_CFA_RESTORE,
 					   gen_rtx_REG (Pmode, LR_REGNO),
@@ -23930,7 +23930,7 @@ rs6000_emit_epilogue (int sibcall)
 	  RTVEC_ELT (p, j++)
 	    = gen_frame_load (reg,
 			      frame_reg_rtx, info->gp_save_offset + reg_size * i);
-	  if (flag_shrink_wrap)
+	  if (GCC_OPTION (flag_shrink_wrap))
 	    cfa_restores = alloc_reg_note (REG_CFA_RESTORE, reg, cfa_restores);
 	}
       for (i = 0; info->first_altivec_reg_save + i <= LAST_ALTIVEC_REGNO; i++)
@@ -23939,7 +23939,7 @@ rs6000_emit_epilogue (int sibcall)
 	  RTVEC_ELT (p, j++)
 	    = gen_frame_load (reg,
 			      frame_reg_rtx, info->altivec_save_offset + 16 * i);
-	  if (flag_shrink_wrap)
+	  if (GCC_OPTION (flag_shrink_wrap))
 	    cfa_restores = alloc_reg_note (REG_CFA_RESTORE, reg, cfa_restores);
 	}
       for (i = 0; info->first_fp_reg_save + i <= 63; i++)
@@ -23949,7 +23949,7 @@ rs6000_emit_epilogue (int sibcall)
 				 info->first_fp_reg_save + i);
 	  RTVEC_ELT (p, j++)
 	    = gen_frame_load (reg, frame_reg_rtx, info->fp_save_offset + 8 * i);
-	  if (flag_shrink_wrap)
+	  if (GCC_OPTION (flag_shrink_wrap))
 	    cfa_restores = alloc_reg_note (REG_CFA_RESTORE, reg, cfa_restores);
 	}
       RTVEC_ELT (p, j++)
@@ -23964,7 +23964,7 @@ rs6000_emit_epilogue (int sibcall)
 	= gen_rtx_USE (VOIDmode, gen_rtx_REG (SImode, 10));
       insn = emit_jump_insn (gen_rtx_PARALLEL (VOIDmode, p));
 
-      if (flag_shrink_wrap)
+      if (GCC_OPTION (flag_shrink_wrap))
 	{
 	  REG_NOTES (insn) = cfa_restores;
 	  add_reg_note (insn, REG_CFA_DEF_CFA, sp_reg_rtx);
@@ -24053,7 +24053,7 @@ rs6000_emit_epilogue (int sibcall)
       for (i = info->first_altivec_reg_save; i <= LAST_ALTIVEC_REGNO; ++i)
 	if (((strategy & REST_INLINE_VRS) == 0
 	     || (info->vrsave_mask & ALTIVEC_REG_BIT (i)) != 0)
-	    && (flag_shrink_wrap
+	    && (GCC_OPTION (flag_shrink_wrap)
 		|| (offset_below_red_zone_p
 		    (info->altivec_save_offset
 		     + 16 * (i - info->first_altivec_reg_save)))))
@@ -24065,7 +24065,7 @@ rs6000_emit_epilogue (int sibcall)
 
   /* Restore VRSAVE if we must do so before adjusting the stack.  */
   if (TARGET_ALTIVEC
-      && TARGET_ALTIVEC_VRSAVE
+      && GCC_OPTION (TARGET_ALTIVEC_VRSAVE)
       && info->vrsave_mask != 0
       && (ALWAYS_RESTORE_ALTIVEC_BEFORE_POP
 	  || (DEFAULT_ABI != ABI_V4
@@ -24251,7 +24251,7 @@ rs6000_emit_epilogue (int sibcall)
       for (i = info->first_altivec_reg_save; i <= LAST_ALTIVEC_REGNO; ++i)
 	if (((strategy & REST_INLINE_VRS) == 0
 	     || (info->vrsave_mask & ALTIVEC_REG_BIT (i)) != 0)
-	    && (DEFAULT_ABI == ABI_V4 || flag_shrink_wrap))
+	    && (DEFAULT_ABI == ABI_V4 || GCC_OPTION (flag_shrink_wrap)))
 	  {
 	    rtx reg = gen_rtx_REG (V4SImode, i);
 	    cfa_restores = alloc_reg_note (REG_CFA_RESTORE, reg, cfa_restores);
@@ -24261,7 +24261,7 @@ rs6000_emit_epilogue (int sibcall)
   /* Restore VRSAVE if we have not done so already.  */
   if (!ALWAYS_RESTORE_ALTIVEC_BEFORE_POP
       && TARGET_ALTIVEC
-      && TARGET_ALTIVEC_VRSAVE
+      && GCC_OPTION (TARGET_ALTIVEC_VRSAVE)
       && info->vrsave_mask != 0
       && (DEFAULT_ABI == ABI_V4
 	  || !offset_below_red_zone_p (info->vrsave_save_offset)))
@@ -24300,7 +24300,7 @@ rs6000_emit_epilogue (int sibcall)
 	    insn = emit_insn (gen_movsi_to_cr_one
 				(gen_rtx_REG (CCmode, CR0_REGNO + i), reg));
 
-	    if (!exit_func && flag_shrink_wrap)
+	    if (!exit_func && GCC_OPTION (flag_shrink_wrap))
 	      {
 		add_reg_note (insn, REG_CFA_RESTORE,
 			      gen_rtx_REG (SImode, CR0_REGNO + i));
@@ -24490,7 +24490,7 @@ rs6000_emit_epilogue (int sibcall)
 		      info->gp_save_offset + frame_off + reg_size * i));
     }
 
-  if (DEFAULT_ABI == ABI_V4 || flag_shrink_wrap)
+  if (DEFAULT_ABI == ABI_V4 || GCC_OPTION (flag_shrink_wrap))
     {
       /* If the frame pointer was used then we can't delay emitting
 	 a REG_CFA_DEF_CFA note.  This must happen on the insn that
@@ -24516,7 +24516,7 @@ rs6000_emit_epilogue (int sibcall)
 	 on the last instruction here that actually does a restore:
 	 That insn may be reordered with respect to others doing
 	 restores.  */
-      if (flag_shrink_wrap
+      if (GCC_OPTION (flag_shrink_wrap)
 	  && !restoring_GPRs_inline
 	  && info->first_fp_reg_save == 64)
 	cfa_restores = add_crlr_cfa_restore (info, cfa_restores);
@@ -24557,7 +24557,7 @@ rs6000_emit_epilogue (int sibcall)
 				 info->first_fp_reg_save + i);
 	  emit_insn (gen_frame_load (reg, frame_reg_rtx,
 				     info->fp_save_offset + frame_off + 8 * i));
-	  if (DEFAULT_ABI == ABI_V4 || flag_shrink_wrap)
+	  if (DEFAULT_ABI == ABI_V4 || GCC_OPTION (flag_shrink_wrap))
 	    cfa_restores = alloc_reg_note (REG_CFA_RESTORE, reg, cfa_restores);
 	}
 
@@ -24644,7 +24644,7 @@ rs6000_emit_epilogue (int sibcall)
 	  int reg;
 	  rtx sym;
 
-	  if (flag_shrink_wrap)
+	  if (GCC_OPTION (flag_shrink_wrap))
 	    cfa_restores = add_crlr_cfa_restore (info, cfa_restores);
 
 	  sym = rs6000_savres_routine_sym (info,
@@ -24659,7 +24659,7 @@ rs6000_emit_epilogue (int sibcall)
 
 	      RTVEC_ELT (p, i + 4)
 		= gen_frame_load (reg, sp_reg_rtx, info->fp_save_offset + 8 * i);
-	      if (flag_shrink_wrap)
+	      if (GCC_OPTION (flag_shrink_wrap))
 		cfa_restores = alloc_reg_note (REG_CFA_RESTORE, reg,
 					       cfa_restores);
 	    }
@@ -24731,8 +24731,8 @@ rs6000_output_function_epilogue (FILE *file,
      System V.4 Powerpc's (and the embedded ABI derived from it) use a
      different traceback table.  */
   if ((DEFAULT_ABI == ABI_AIX || DEFAULT_ABI == ABI_ELFv2)
-      && ! flag_inhibit_size_directive
-      && rs6000_traceback != traceback_none && !cfun->is_thunk)
+      && ! GCC_OPTION (flag_inhibit_size_directive)
+      && GCC_OPTION (rs6000_traceback) != traceback_none && !cfun->is_thunk)
     {
       const char *fname = NULL;
       const char *language_string = lang_hooks.name;
@@ -24741,12 +24741,12 @@ rs6000_output_function_epilogue (FILE *file,
       int optional_tbtab;
       rs6000_stack_t *info = rs6000_stack_info ();
 
-      if (rs6000_traceback == traceback_full)
+      if (GCC_OPTION (rs6000_traceback) == traceback_full)
 	optional_tbtab = 1;
-      else if (rs6000_traceback == traceback_part)
+      else if (GCC_OPTION (rs6000_traceback) == traceback_part)
 	optional_tbtab = 0;
       else
-	optional_tbtab = !optimize_size && !TARGET_ELF;
+	optional_tbtab = !GCC_OPTION (optimize_size) && !TARGET_ELF;
 
       if (optional_tbtab)
 	{
@@ -24901,7 +24901,7 @@ rs6000_output_function_epilogue (FILE *file,
       /* Set parameters on stack bit if parameters are not in their original
 	 registers, regardless of whether they are on the stack?  Xlc
 	 seems to set the bit when not optimizing.  */
-      fprintf (file, "%d\n", ((float_parms << 1) | (! optimize)));
+      fprintf (file, "%d\n", ((float_parms << 1) | (! GCC_OPTION (optimize))));
 
       if (! optional_tbtab)
 	return;
@@ -25333,7 +25333,7 @@ output_toc (FILE *file, rtx x, int labelno, enum machine_mode mode)
   if (GET_CODE (x) == CONST_DOUBLE
       && STRICT_ALIGNMENT
       && GET_MODE_BITSIZE (mode) >= 64
-      && ! (TARGET_NO_FP_IN_TOC && ! TARGET_MINIMAL_TOC)) {
+      && ! (GCC_OPTION (TARGET_NO_FP_IN_TOC) && ! TARGET_MINIMAL_TOC)) {
     ASM_OUTPUT_ALIGN (file, 3);
   }
 
@@ -25808,7 +25808,7 @@ output_function_profiler (FILE *file, int labelno)
 	  asm_fprintf (file, "\tstw %s,4(%s)\n",
 		       reg_names[0], reg_names[1]);
 	}
-      else if (TARGET_SECURE_PLT && flag_pic)
+      else if (TARGET_SECURE_PLT && GCC_OPTION (flag_pic))
 	{
 	  if (TARGET_LINK_STACK)
 	    {
@@ -25828,7 +25828,7 @@ output_function_profiler (FILE *file, int labelno)
 	  assemble_name (file, buf);
 	  asm_fprintf (file, "-1b@l(%s)\n", reg_names[12]);
 	}
-      else if (flag_pic == 1)
+      else if (GCC_OPTION (flag_pic) == 1)
 	{
 	  fputs ("\tbl _GLOBAL_OFFSET_TABLE_@local-4\n", file);
 	  asm_fprintf (file, "\tstw %s,4(%s)\n",
@@ -25838,7 +25838,7 @@ output_function_profiler (FILE *file, int labelno)
 	  assemble_name (file, buf);
 	  asm_fprintf (file, "@got(%s)\n", reg_names[12]);
 	}
-      else if (flag_pic > 1)
+      else if (GCC_OPTION (flag_pic) > 1)
 	{
 	  asm_fprintf (file, "\tstw %s,4(%s)\n",
 		       reg_names[0], reg_names[1]);
@@ -25880,7 +25880,7 @@ output_function_profiler (FILE *file, int labelno)
 
       /* ABI_V4 saves the static chain reg with ASM_OUTPUT_REG_PUSH.  */
       fprintf (file, "\tbl %s%s\n",
-	       RS6000_MCOUNT, flag_pic ? "@plt" : "");
+	       RS6000_MCOUNT, GCC_OPTION (flag_pic) ? "@plt" : "");
       break;
 
     case ABI_AIX:
@@ -25929,7 +25929,7 @@ rs6000_variable_issue_1 (rtx insn, int more)
   if (recog_memoized (insn) < 0)
     return more;
 
-  if (rs6000_sched_groups)
+  if (GCC_OPTION (rs6000_sched_groups))
     {
       if (is_microcoded_insn (insn))
         cached_can_issue_more = 0;
@@ -25976,7 +25976,7 @@ rs6000_adjust_cost (rtx insn, rtx link, rtx dep_insn, int cost)
 	   some cycles later.  */
 
 	/* Separate a load from a narrower, dependent store.  */
-	if (rs6000_sched_groups
+	if (GCC_OPTION (rs6000_sched_groups)
 	    && GET_CODE (PATTERN (insn)) == SET
 	    && GET_CODE (PATTERN (dep_insn)) == SET
 	    && GET_CODE (XEXP (PATTERN (insn), 1)) == MEM
@@ -26039,7 +26039,7 @@ rs6000_adjust_cost (rtx insn, rtx link, rtx dep_insn, int cost)
           case TYPE_FPSTORE:
           case TYPE_FPSTORE_U:
           case TYPE_FPSTORE_UX:
-            if ((rs6000_cpu == PROCESSOR_POWER6)
+            if ((GCC_OPTION (rs6000_cpu) == PROCESSOR_POWER6)
                 && recog_memoized (dep_insn)
                 && (INSN_CODE (dep_insn) >= 0))
               {
@@ -26126,7 +26126,7 @@ rs6000_adjust_cost (rtx insn, rtx link, rtx dep_insn, int cost)
           case TYPE_LOAD_EXT:
           case TYPE_LOAD_EXT_U:
           case TYPE_LOAD_EXT_UX:
-            if ((rs6000_cpu == PROCESSOR_POWER6)
+            if ((GCC_OPTION (rs6000_cpu) == PROCESSOR_POWER6)
                 && recog_memoized (dep_insn)
                 && (INSN_CODE (dep_insn) >= 0))
               {
@@ -26203,7 +26203,7 @@ rs6000_adjust_cost (rtx insn, rtx link, rtx dep_insn, int cost)
             break;
 
           case TYPE_FPLOAD:
-            if ((rs6000_cpu == PROCESSOR_POWER6)
+            if ((GCC_OPTION (rs6000_cpu) == PROCESSOR_POWER6)
                 && recog_memoized (dep_insn)
                 && (INSN_CODE (dep_insn) >= 0)
                 && (get_attr_type (dep_insn) == TYPE_MFFGPR))
@@ -26220,7 +26220,7 @@ rs6000_adjust_cost (rtx insn, rtx link, rtx dep_insn, int cost)
     case REG_DEP_OUTPUT:
       /* Output dependency; DEP_INSN writes a register that INSN writes some
 	 cycles later.  */
-      if ((rs6000_cpu == PROCESSOR_POWER6)
+      if ((GCC_OPTION (rs6000_cpu) == PROCESSOR_POWER6)
           && recog_memoized (dep_insn)
           && (INSN_CODE (dep_insn) >= 0))
         {
@@ -26295,8 +26295,8 @@ is_microcoded_insn (rtx insn)
   if (rs6000_cpu_attr == CPU_CELL)
     return get_attr_cell_micro (insn) == CELL_MICRO_ALWAYS;
 
-  if (rs6000_sched_groups
-      && (rs6000_cpu == PROCESSOR_POWER4 || rs6000_cpu == PROCESSOR_POWER5))
+  if (GCC_OPTION (rs6000_sched_groups)
+      && (GCC_OPTION (rs6000_cpu) == PROCESSOR_POWER4 || GCC_OPTION (rs6000_cpu) == PROCESSOR_POWER5))
     {
       enum attr_type type = get_attr_type (insn);
       if (type == TYPE_LOAD_EXT_U
@@ -26321,8 +26321,8 @@ is_cracked_insn (rtx insn)
       || GET_CODE (PATTERN (insn)) == CLOBBER)
     return false;
 
-  if (rs6000_sched_groups
-      && (rs6000_cpu == PROCESSOR_POWER4 || rs6000_cpu == PROCESSOR_POWER5))
+  if (GCC_OPTION (rs6000_sched_groups)
+      && (GCC_OPTION (rs6000_cpu) == PROCESSOR_POWER4 || GCC_OPTION (rs6000_cpu) == PROCESSOR_POWER5))
     {
       enum attr_type type = get_attr_type (insn);
       if (type == TYPE_LOAD_U || type == TYPE_STORE_U
@@ -26350,7 +26350,7 @@ is_branch_slot_insn (rtx insn)
       || GET_CODE (PATTERN (insn)) == CLOBBER)
     return false;
 
-  if (rs6000_sched_groups)
+  if (GCC_OPTION (rs6000_sched_groups))
     {
       enum attr_type type = get_attr_type (insn);
       if (type == TYPE_BRANCH || type == TYPE_JMPREG)
@@ -26500,24 +26500,24 @@ rs6000_adjust_priority (rtx insn ATTRIBUTE_UNUSED, int priority)
   if (insn_must_be_first_in_group (insn)
       && reload_completed
       && current_sched_info->sched_max_insns_priority
-      && rs6000_sched_restricted_insns_priority)
+      && GCC_OPTION (rs6000_sched_restricted_insns_priority))
     {
 
       /* Prioritize insns that can be dispatched only in the first
 	 dispatch slot.  */
-      if (rs6000_sched_restricted_insns_priority == 1)
+      if (GCC_OPTION (rs6000_sched_restricted_insns_priority) == 1)
 	/* Attach highest priority to insn. This means that in
 	   haifa-sched.c:ready_sort(), dispatch-slot restriction considerations
 	   precede 'priority' (critical path) considerations.  */
 	return current_sched_info->sched_max_insns_priority;
-      else if (rs6000_sched_restricted_insns_priority == 2)
+      else if (GCC_OPTION (rs6000_sched_restricted_insns_priority) == 2)
 	/* Increase priority of insn by a minimal amount. This means that in
 	   haifa-sched.c:ready_sort(), only 'priority' (critical path)
 	   considerations precede dispatch-slot restriction considerations.  */
 	return (priority + 1);
     }
 
-  if (rs6000_cpu == PROCESSOR_POWER6
+  if (GCC_OPTION (rs6000_cpu) == PROCESSOR_POWER6
       && ((load_store_pendulum == -2 && is_load_insn (insn, &load_mem))
           || (load_store_pendulum == 2 && is_store_insn (insn, &str_mem))))
     /* Attach highest priority to insn if the scheduler has just issued two
@@ -26567,7 +26567,7 @@ rs6000_issue_rate (void)
 {
   /* Unless scheduling for register pressure, use issue rate of 1 for
      first scheduling pass to decrease degradation.  */
-  if (!reload_completed && !flag_sched_pressure)
+  if (!reload_completed && !GCC_OPTION (flag_sched_pressure))
     return 1;
 
   switch (rs6000_cpu_attr) {
@@ -26770,25 +26770,25 @@ rs6000_is_costly_dependence (dep_t dep, int cost, int distance)
   /* If the flag is not enabled - no dependence is considered costly;
      allow all dependent insns in the same group.
      This is the most aggressive option.  */
-  if (rs6000_sched_costly_dep == no_dep_costly)
+  if (GCC_OPTION (rs6000_sched_costly_dep) == no_dep_costly)
     return false;
 
   /* If the flag is set to 1 - a dependence is always considered costly;
      do not allow dependent instructions in the same group.
      This is the most conservative option.  */
-  if (rs6000_sched_costly_dep == all_deps_costly)
+  if (GCC_OPTION (rs6000_sched_costly_dep) == all_deps_costly)
     return true;
 
   insn = DEP_PRO (dep);
   next = DEP_CON (dep);
 
-  if (rs6000_sched_costly_dep == store_to_load_dep_costly
+  if (GCC_OPTION (rs6000_sched_costly_dep) == store_to_load_dep_costly
       && is_load_insn (next, &load_mem)
       && is_store_insn (insn, &str_mem))
     /* Prevent load after store in the same group.  */
     return true;
 
-  if (rs6000_sched_costly_dep == true_store_to_load_dep_costly
+  if (GCC_OPTION (rs6000_sched_costly_dep) == true_store_to_load_dep_costly
       && is_load_insn (next, &load_mem)
       && is_store_insn (insn, &str_mem)
       && DEP_TYPE (dep) == REG_DEP_TRUE
@@ -26799,8 +26799,8 @@ rs6000_is_costly_dependence (dep_t dep, int cost, int distance)
 
   /* The flag is set to X; dependences with latency >= X are considered costly,
      and will not be scheduled in the same group.  */
-  if (rs6000_sched_costly_dep <= max_dep_latency
-      && ((cost - distance) >= (int)rs6000_sched_costly_dep))
+  if (GCC_OPTION (rs6000_sched_costly_dep) <= max_dep_latency
+      && ((cost - distance) >= (int)GCC_OPTION (rs6000_sched_costly_dep)))
     return true;
 
   return false;
@@ -26860,7 +26860,7 @@ rs6000_sched_reorder (FILE *dump ATTRIBUTE_UNUSED, int sched_verbose,
       }
   }
 
-  if (rs6000_cpu == PROCESSOR_POWER6)
+  if (GCC_OPTION (rs6000_cpu) == PROCESSOR_POWER6)
     load_store_pendulum = 0;
 
   return rs6000_issue_rate ();
@@ -26915,7 +26915,7 @@ rs6000_sched_reorder2 (FILE *dump, int sched_verbose, rtx *ready,
              of the machine.  Those instructions are currently unaccounted
              for to help minimize compile time overhead of this code.
    */
-  if (rs6000_cpu == PROCESSOR_POWER6 && last_scheduled_insn)
+  if (GCC_OPTION (rs6000_cpu) == PROCESSOR_POWER6 && last_scheduled_insn)
     {
       int pos;
       int i;
@@ -27118,7 +27118,7 @@ insn_must_be_first_in_group (rtx insn)
       || GET_CODE (PATTERN (insn)) == CLOBBER)
     return false;
 
-  switch (rs6000_cpu)
+  switch (GCC_OPTION (rs6000_cpu))
     {
     case PROCESSOR_POWER5:
       if (is_cracked_insn (insn))
@@ -27127,7 +27127,7 @@ insn_must_be_first_in_group (rtx insn)
       if (is_microcoded_insn (insn))
         return true;
 
-      if (!rs6000_sched_groups)
+      if (!GCC_OPTION (rs6000_sched_groups))
         return false;
 
       type = get_attr_type (insn);
@@ -27282,7 +27282,7 @@ insn_must_be_last_in_group (rtx insn)
       || GET_CODE (PATTERN (insn)) == CLOBBER)
     return false;
 
-  switch (rs6000_cpu) {
+  switch (GCC_OPTION (rs6000_cpu)) {
   case PROCESSOR_POWER4:
   case PROCESSOR_POWER5:
     if (is_microcoded_insn (insn))
@@ -27425,7 +27425,7 @@ force_new_group (int sched_verbose, FILE *dump, rtx *group_insns,
   if (next_insn == NULL_RTX || DEBUG_INSN_P (next_insn))
     return can_issue_more;
 
-  if (rs6000_sched_insert_nops > sched_finish_regroup_exact)
+  if (GCC_OPTION (rs6000_sched_insert_nops) > sched_finish_regroup_exact)
     return can_issue_more;
 
   force = is_costly_group (group_insns, next_insn);
@@ -27436,7 +27436,7 @@ force_new_group (int sched_verbose, FILE *dump, rtx *group_insns,
     fprintf (dump,"force: group count = %d, can_issue_more = %d\n",
 	     *group_count ,can_issue_more);
 
-  if (rs6000_sched_insert_nops == sched_finish_regroup_exact)
+  if (GCC_OPTION (rs6000_sched_insert_nops) == sched_finish_regroup_exact)
     {
       if (*group_end)
 	can_issue_more = 0;
@@ -27469,9 +27469,9 @@ force_new_group (int sched_verbose, FILE *dump, rtx *group_insns,
       return 0;
     }
 
-  if (rs6000_sched_insert_nops < sched_finish_regroup_exact)
+  if (GCC_OPTION (rs6000_sched_insert_nops) < sched_finish_regroup_exact)
     {
-      int n_nops = rs6000_sched_insert_nops;
+      int n_nops = GCC_OPTION (rs6000_sched_insert_nops);
 
       /* Nops can't be issued from the branch slot, so the effective
 	 issue_rate for nops is 'issue_rate - 1'.  */
@@ -27670,7 +27670,7 @@ pad_groups (FILE *dump, int sched_verbose, rtx prev_head_insn, rtx tail)
 	     force group termination, pad the group with nops to force group
 	     termination.  */
 	  if (can_issue_more
-	      && (rs6000_sched_insert_nops == sched_finish_pad_groups)
+	      && (GCC_OPTION (rs6000_sched_insert_nops) == sched_finish_pad_groups)
 	      && !insn_terminates_group_p (insn, current_group)
 	      && !insn_terminates_group_p (next_insn, previous_group))
 	    {
@@ -27718,16 +27718,16 @@ rs6000_sched_finish (FILE *dump, int sched_verbose)
   if (sched_verbose)
     fprintf (dump, "=== Finishing schedule.\n");
 
-  if (reload_completed && rs6000_sched_groups)
+  if (reload_completed && GCC_OPTION (rs6000_sched_groups))
     {
       /* Do not run sched_finish hook when selective scheduling enabled.  */
       if (sel_sched_p ())
 	return;
 
-      if (rs6000_sched_insert_nops == sched_finish_none)
+      if (GCC_OPTION (rs6000_sched_insert_nops) == sched_finish_none)
 	return;
 
-      if (rs6000_sched_insert_nops == sched_finish_pad_groups)
+      if (GCC_OPTION (rs6000_sched_insert_nops) == sched_finish_pad_groups)
 	n_groups = pad_groups (dump, sched_verbose,
 			       current_sched_info->prev_head,
 			       current_sched_info->next_tail);
@@ -27858,7 +27858,7 @@ rs6000_trampoline_init (rtx m_tramp, tree fndecl, rtx cxt)
       {
 	rtx fnmem, fn_reg, toc_reg;
 
-	if (!TARGET_POINTERS_TO_NESTED_FUNCTIONS)
+	if (!GCC_OPTION (TARGET_POINTERS_TO_NESTED_FUNCTIONS))
 	  error ("You cannot take the address of a nested function if you use "
 		 "the -mno-pointers-to-nested-functions option.");
 
@@ -27955,7 +27955,7 @@ rs6000_handle_altivec_attribute (tree *node,
 	  if (TARGET_64BIT)
 	    error ("use of %<long%> in AltiVec types is invalid for "
 		   "64-bit code without -mvsx");
-	  else if (rs6000_warn_altivec_long)
+	  else if (GCC_OPTION (rs6000_warn_altivec_long))
 	    warning (0, "use of %<long%> in AltiVec types is deprecated; "
 		     "use %<int%>");
 	}
@@ -28087,7 +28087,7 @@ rs6000_handle_longcall_attribute (tree *node, tree name,
 static void
 rs6000_set_default_type_attributes (tree type)
 {
-  if (rs6000_default_long_calls
+  if (GCC_OPTION (rs6000_default_long_calls)
       && (TREE_CODE (type) == FUNCTION_TYPE
 	  || TREE_CODE (type) == METHOD_TYPE))
     TYPE_ATTRIBUTES (type) = tree_cons (get_identifier ("longcall"),
@@ -28282,7 +28282,7 @@ compare_section_name (const char *section, const char *templ)
 bool
 rs6000_elf_in_small_data_p (const_tree decl)
 {
-  if (rs6000_sdata == SDATA_NONE)
+  if (GCC_OPTION (rs6000_sdata) == SDATA_NONE)
     return false;
 
   /* We want to merge strings, so we never consider them small data.  */
@@ -28311,10 +28311,10 @@ rs6000_elf_in_small_data_p (const_tree decl)
       HOST_WIDE_INT size = int_size_in_bytes (TREE_TYPE (decl));
 
       if (size > 0
-	  && size <= g_switch_value
+	  && size <= GCC_OPTION (g_switch_value)
 	  /* If it's not public, and we're not going to reference it there,
 	     there's no need to put it in the small data section.  */
-	  && (rs6000_sdata != SDATA_DATA || TREE_PUBLIC (decl)))
+	  && (GCC_OPTION (rs6000_sdata) != SDATA_DATA || TREE_PUBLIC (decl)))
 	return true;
     }
 
@@ -28424,10 +28424,10 @@ macho_branch_islands (void)
       strcpy (tmp_buf, "\n");
       strcat (tmp_buf, label);
 #if defined (DBX_DEBUGGING_INFO) || defined (XCOFF_DEBUGGING_INFO)
-      if (write_symbols == DBX_DEBUG || write_symbols == XCOFF_DEBUG)
+      if (GCC_OPTION (write_symbols) == DBX_DEBUG || GCC_OPTION (write_symbols) == XCOFF_DEBUG)
 	dbxout_stabd (N_SLINE, bi->line_number);
 #endif /* DBX_DEBUGGING_INFO || XCOFF_DEBUGGING_INFO */
-      if (flag_pic)
+      if (GCC_OPTION (flag_pic))
 	{
 	  if (TARGET_LINK_STACK)
 	    {
@@ -28474,7 +28474,7 @@ macho_branch_islands (void)
 	}
       output_asm_insn (tmp_buf, 0);
 #if defined (DBX_DEBUGGING_INFO) || defined (XCOFF_DEBUGGING_INFO)
-      if (write_symbols == DBX_DEBUG || write_symbols == XCOFF_DEBUG)
+      if (GCC_OPTION (write_symbols) == DBX_DEBUG || GCC_OPTION (write_symbols) == XCOFF_DEBUG)
 	dbxout_stabd (N_SLINE, bi->line_number);
 #endif /* DBX_DEBUGGING_INFO || XCOFF_DEBUGGING_INFO */
       branch_islands->pop ();
@@ -28575,12 +28575,12 @@ machopic_output_stub (FILE *file, const char *symb, const char *stub)
   lazy_ptr_name = XALLOCAVEC (char, length + 32);
   GEN_LAZY_PTR_NAME_FOR_SYMBOL (lazy_ptr_name, symb, length);
 
-  if (flag_pic == 2)
+  if (GCC_OPTION (flag_pic) == 2)
     switch_to_section (darwin_sections[machopic_picsymbol_stub1_section]);
   else
     switch_to_section (darwin_sections[machopic_symbol_stub1_section]);
 
-  if (flag_pic == 2)
+  if (GCC_OPTION (flag_pic) == 2)
     {
       fprintf (file, "\t.align 5\n");
 
@@ -28729,7 +28729,7 @@ rs6000_darwin_file_start (void)
     cpu_id = rs6000_default_cpu;
 
   if (global_options_set.x_rs6000_cpu_index)
-    cpu_id = processor_target_table[rs6000_cpu_index].name;
+    cpu_id = processor_target_table[GCC_OPTION (rs6000_cpu_index)].name;
 
   /* Look through the mapping array.  Pick the first name that either
      matches the argument, has a bit set in IF_SET that is also set
@@ -28738,7 +28738,7 @@ rs6000_darwin_file_start (void)
   i = 0;
   while (mapping[i].arg != NULL
 	 && strcmp (mapping[i].arg, cpu_id) != 0
-	 && (mapping[i].if_set & rs6000_isa_flags) == 0)
+	 && (mapping[i].if_set & GCC_OPTION (rs6000_isa_flags)) == 0)
     i++;
 
   fprintf (asm_out_file, "\t.machine %s\n", mapping[i].name);
@@ -28750,7 +28750,7 @@ rs6000_darwin_file_start (void)
 static int
 rs6000_elf_reloc_rw_mask (void)
 {
-  if (flag_pic)
+  if (GCC_OPTION (flag_pic))
     return 3;
   else if (DEFAULT_ABI == ABI_AIX || DEFAULT_ABI == ABI_ELFv2)
     return 2;
@@ -28919,7 +28919,7 @@ rs6000_elf_file_end (void)
 		  : 1));
       if (rs6000_returns_struct)
 	fprintf (asm_out_file, "\t.gnu_attribute 12, %d\n",
-		 aix_struct_return ? 2 : 1);
+		 GCC_OPTION (aix_struct_return) ? 2 : 1);
     }
 #endif
 #if defined (POWERPC_LINUX) || defined (POWERPC_FREEBSD)
@@ -29123,7 +29123,7 @@ rs6000_xcoff_unique_section (tree decl, int reloc ATTRIBUTE_UNUSED)
       || (DECL_INITIAL (decl) == NULL_TREE
 	  && DECL_ALIGN (decl) <= BIGGEST_ALIGNMENT)
       || DECL_INITIAL (decl) == error_mark_node
-      || (flag_zero_initialized_in_bss
+      || (GCC_OPTION (flag_zero_initialized_in_bss)
 	  && initializer_zerop (DECL_INITIAL (decl))))
     return;
 
